<?php

defined('BASEPATH') OR exit('No direct script access allowed');
class Cart_model extends CI_Model
{
    function add_to_cart($data){
      $data = escape_array($data);
      $product_variant_id = explode(',',$data['product_variant_id']);
      $qty = explode(',',$data['qty']);

      $check_current_stock_status = validate_stock($product_variant_id,$qty);    
      if( !empty($check_current_stock_status) && $check_current_stock_status['error']==true){
            print_r(json_encode($check_current_stock_status));
            return true;
      }
      
      for ($i=0; $i <count($product_variant_id) ; $i++) { 
          $cart_data=[
            'user_id'=>$data['user_id'],         
            'product_variant_id'=> $product_variant_id[$i],       
            'qty'=>$qty[$i],     
            'is_saved_for_later'=>(isset($data['is_saved_for_later']) && !empty($data['is_saved_for_later']) && $data['is_saved_for_later'] == '1' ) ? $data['is_saved_for_later'] : '0',     
          ];
    
          if ( $this->db->select('*')->where(['user_id' => $data['user_id'],'product_variant_id' => $product_variant_id[$i] ])->get('cart')->num_rows() > 0) {
                  $this->db->set($cart_data)->where(['user_id' => $data['user_id'],'product_variant_id' => $product_variant_id[$i]])->update('cart');           
          } else {
            $this->db->insert('cart', $cart_data);
        } 
      }     
      return false;
    }

    function remove_from_cart($data){
        if(isset($data['user_id']) && !empty($data['user_id'])){
            $this->db->set(['qty'=>'0'])->where('user_id',$data['user_id'])->update('cart');           
        }        
    }

    function get_user_cart($user_id,$is_saved_for_later='0'){
        $res = $this->db->select('*')->where(['user_id'=>$user_id,'qty !='=>'0','is_saved_for_later'=>$is_saved_for_later])->group_by('id')->get('cart')->result_array();            
        // echo $this->db->last_query();
        return $res;
    }
}
